<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_anwesenheitsliste" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="782" leftMargin="30" rightMargin="30" topMargin="0" bottomMargin="8" uuid="9a8d9b06-1e2c-4831-aba3-f30ea6796de6">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5026296018031553"/>
	<property name="ireport.x" value="76"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_SUBREPORTCONNECTION" class="java.sql.Connection" isForPrompting="false"/>
	<parameter name="P_ABTEILUNG_AUFRUFER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KOSTENSTELLE_ABTEILUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_LOGO_IMAGE" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Logo]]></parameterDescription>
	</parameter>
	<field name="Anwesend" class="java.lang.Integer"/>
	<field name="Personalnummer" class="java.lang.String"/>
	<field name="Name" class="java.lang.String"/>
	<field name="Telefonprivat" class="java.lang.String"/>
	<field name="Taetigkeit" class="java.lang.String"/>
	<field name="Zeit" class="java.lang.String"/>
	<field name="Sonderzeit" class="java.lang.String"/>
	<field name="SonderzeitArt" class="java.lang.String"/>
	<field name="SonderzeitStunden" class="java.sql.Time"/>
	<field name="Quelle" class="java.lang.String"/>
	<field name="AbwesenheitsartKennung" class="java.lang.String"/>
	<field name="AbwesenheitsartBezeichnung" class="java.lang.String"/>
	<field name="TaetigkeitArtikelnummer" class="java.lang.String"/>
	<field name="TaetigkeitBezeichnung" class="java.lang.String"/>
	<field name="KundeKurzbezeichnung" class="java.lang.String"/>
	<field name="PartnerKurzbezeichnung" class="java.lang.String"/>
	<field name="Projektnummer" class="java.lang.String"/>
	<field name="Projektbezeichnung" class="java.lang.String"/>
	<field name="Losnummer" class="java.lang.String"/>
	<field name="Auftragsnummer" class="java.lang.String"/>
	<field name="LosAGNummer" class="java.lang.Integer"/>
	<field name="LosUAGNummer" class="java.lang.Integer"/>
	<field name="LosMaschineInventarnummer" class="java.lang.String"/>
	<field name="LosMaschineBezeichnung" class="java.lang.String"/>
	<field name="LosKommentar" class="java.lang.String"/>
	<field name="MaschineInventarnummer" class="java.lang.String"/>
	<field name="MaschineBezeichnung" class="java.lang.String"/>
	<field name="PERSONAL_I_ID" class="java.lang.Integer"/>
	<field name="Vorname" class="java.lang.String"/>
	<field name="Nachname" class="java.lang.String"/>
	<variable name="Detailliert" class="java.lang.Boolean" resetType="None">
		<variableExpression><![CDATA[false
/* default false
wenn true, dann werden bei den Anwesenden die Lose, Kunden usw. angezeigt
wenn false kommt der Subreport nach DSGVO
*/]]></variableExpression>
	</variable>
	<variable name="V_HEUTE" class="java.util.Date" resetType="None">
		<variableExpression><![CDATA[Calendar.getInstance(Locale.GERMAN).getTime()]]></variableExpression>
		<initialValueExpression><![CDATA[Calendar.getInstance(Locale.GERMAN).getTime()]]></initialValueExpression>
	</variable>
	<variable name="Heute_String" class="java.lang.String">
		<variableExpression><![CDATA[(new SimpleDateFormat("yyyy-MM-dd", Locale.GERMAN)).format($V{V_HEUTE})]]></variableExpression>
	</variable>
	<variable name="LISTE_anwesend" class="java.util.List">
		<variableExpression><![CDATA[($V{LISTE_anwesend} == null ? new ArrayList() : $V{LISTE_anwesend})]]></variableExpression>
	</variable>
	<variable name="LISTE_anwesend_ADD" class="java.lang.Boolean">
		<variableExpression><![CDATA[$V{LISTE_anwesend}.add(new java.lang.Object[] {
    ($F{Anwesend}.intValue()==1 ? "1" :                     /* anwesend */
        ($F{Taetigkeit}.startsWith("Kein Eintrag") ? "4" :  /* heute noch keine Buchung, kommt noch */
            ($F{Taetigkeit}.startsWith("Keine Sollzeit") ? "6" :    /* keine Sollzeit für heute */
                ($F{Sonderzeit}==null || $F{Sonderzeit}.trim().length() < 1 ? ($F{Taetigkeit}.startsWith("UNTER") ? "2" :     /* war vermutlich schon anwesend ist nur Pause o.ä. */
                    ($F{Taetigkeit}.startsWith("GEHT") ? "5" : "3")) :  /* ist nach Hause gegangen */
                    "5"                                         /* ist erlaubter Weise abwesend */
                )
            )
        )
    ),
    $F{Personalnummer},
    $F{Name},
    $F{Zeit},
    $F{Quelle},
    $F{Taetigkeit} } )]]></variableExpression>
	</variable>
	<group name="Anwesend" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[$F{Anwesend}]]></groupExpression>
		<groupHeader>
			<band height="22" splitType="Stretch">
				<printWhenExpression><![CDATA[$V{Detailliert}]]></printWhenExpression>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement key="Anwesend" mode="Opaque" x="0" y="0" width="100" height="19" forecolor="#000000" backcolor="#FFFFFF" uuid="8c93d9b4-dd48-4589-b9d8-0a0576a15578">
						<printWhenExpression><![CDATA[new Boolean($F{Anwesend}.intValue()==1)]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="14" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<textFieldExpression><![CDATA["Anwesend:"]]></textFieldExpression>
				</textField>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement key="Abwesend" mode="Opaque" x="0" y="0" width="100" height="19" forecolor="#000000" backcolor="#FFFFFF" uuid="b2905395-6c54-47b8-8e79-664fc13128c4">
						<printWhenExpression><![CDATA[new Boolean($F{Anwesend}.intValue()==0)]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="14" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<textFieldExpression><![CDATA["Abwesend:"]]></textFieldExpression>
				</textField>
				<line>
					<reportElement key="line-1" mode="Opaque" x="0" y="20" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="b8dcaeb1-3f84-4e54-9b00-2beef8998acf"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.5" lineStyle="Solid"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="10" splitType="Stretch">
				<printWhenExpression><![CDATA[$V{Detailliert}]]></printWhenExpression>
				<line>
					<reportElement key="line-2" mode="Opaque" x="0" y="1" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="60f5c54a-c034-44ab-b4cb-8f2200e0c201"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.5" lineStyle="Solid"/>
					</graphicElement>
				</line>
			</band>
		</groupFooter>
	</group>
	<pageHeader>
		<band height="35" splitType="Stretch">
			<staticText>
				<reportElement key="Anwesenheitsliste" mode="Opaque" x="0" y="13" width="308" height="22" forecolor="#000000" backcolor="#FFFFFF" uuid="92726ade-6bbc-4224-9aed-1b892fd458a3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Anwesenheitsliste]]></text>
			</staticText>
			<image scaleImage="RetainShape" hAlign="Right" vAlign="Top" isUsingCache="false">
				<reportElement key="image-2" mode="Transparent" x="687" y="5" width="95" height="30" forecolor="#000000" backcolor="#FFFFFF" uuid="e53b7c5c-8712-41e6-82b3-e6f339798e1e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<graphicElement fill="Solid">
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
				<imageExpression><![CDATA[new java.io.File($P{P_LOGO_IMAGE}).toURL()]]></imageExpression>
			</image>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Opaque" x="0" y="5" width="445" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="26a0e271-b600-48ea-80d2-82794eb90473"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER-1" mode="Transparent" x="457" y="5" width="209" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="5b2a8187-149c-43a8-ac67-1f5edc8dc909"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER-2" mode="Transparent" x="666" y="5" width="15" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="3f1c5c3d-05f8-435d-a569-0d5fc654a9b2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Info" x="240" y="0" width="159" height="35" uuid="4ed0119c-130f-4ea9-9b70-f3ac3e32228a">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="6"/>
				</textElement>
				<text><![CDATA[1 ... anwesend
2 ... Pause
3 ... außer Haus, z.B. Arzt, Pause
4 ... noch keine Buchung, sollte aber
5 ... erlaubter Weise abwesend
6 ... Keine Sollzeit für heute]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="16" splitType="Stretch">
			<printWhenExpression><![CDATA[$V{Detailliert}]]></printWhenExpression>
			<staticText>
				<reportElement key="Pers. Nr." mode="Opaque" x="0" y="2" width="40" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="1c12a955-d557-4182-b987-384e3d0a7fe3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Pers. Nr.]]></text>
			</staticText>
			<staticText>
				<reportElement key="Name" mode="Opaque" x="45" y="2" width="154" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="974bdd40-f7e2-4c7b-82cf-67f7f122464c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Name]]></text>
			</staticText>
			<staticText>
				<reportElement key="Zeit" mode="Opaque" x="200" y="2" width="40" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="af950966-7e35-4375-a9c1-17e9438633f6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Zeit]]></text>
			</staticText>
			<textField>
				<reportElement key="Letzte Tätigkeit" mode="Opaque" x="380" y="2" width="100" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="33f28d9e-39ff-44ed-b3ba-63704420d353"/>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Tätigkeit"
/* Letzte Tätigkeit / Sondertätigkeit */]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Quelle" mode="Opaque" x="240" y="2" width="70" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="a72a0716-a5e3-41b9-8de9-7c2ca6595833"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Wo]]></text>
			</staticText>
			<staticText>
				<reportElement key="Kunde" mode="Opaque" x="310" y="2" width="70" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="c37808d1-85d5-4453-83b4-b67b076c548f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Kunde]]></text>
			</staticText>
			<staticText>
				<reportElement key="AG" mode="Opaque" x="480" y="2" width="60" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="96b01d3b-a182-48c9-81fc-e8d41f311cc1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Arbeitsgang]]></text>
			</staticText>
			<staticText>
				<reportElement key="maschine" mode="Opaque" x="540" y="2" width="60" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="048e398b-b83e-48f4-a80c-581f57c0a8f1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Maschine]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<printWhenExpression><![CDATA[$V{Detailliert}]]></printWhenExpression>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Personalnummer" mode="Opaque" x="0" y="0" width="40" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="4f34b61c-2133-459f-8f9b-005007fe8db0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Personalnummer}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Name" mode="Opaque" x="45" y="0" width="154" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="cd8b328f-ae81-42c8-af38-80f777b50ab8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Name}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Zeit" mode="Opaque" x="200" y="0" width="40" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="ac8b9eaf-3a40-4626-a82a-db16489fddd2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Zeit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Taetigkeit" mode="Opaque" x="380" y="0" width="100" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="4d5056d6-c7f7-4327-b357-c58e35ead23c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Taetigkeit}.startsWith("Kein Eintrag") ?
"noch keine Buchung" :
($F{AbwesenheitsartKennung}.compareTo("1") == 0 ?
    $F{Taetigkeit} :
    $F{AbwesenheitsartBezeichnung})]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Quelle" mode="Opaque" x="240" y="0" width="70" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="86fff50a-7868-4a4d-8a51-faab0da852d8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Quelle}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Kunde" mode="Opaque" x="310" y="0" width="70" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="a993de0c-297e-45f2-92e5-56ebd0b8c6ff"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{PartnerKurzbezeichnung}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Arbeitsgang" mode="Opaque" x="480" y="0" width="60" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="cac92d57-3860-45a6-8836-ec4d6401825b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{LosAGNummer}==null?"":$F{LosAGNummer}+" ")+
($F{TaetigkeitBezeichnung}==null?"":$F{TaetigkeitBezeichnung})]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="maschine" mode="Opaque" x="540" y="0" width="60" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="5af203de-8541-4e34-879a-da9f1e92aaab"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LosMaschineBezeichnung}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="8"/>
	</pageFooter>
	<summary>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[!$V{Detailliert}]]></printWhenExpression>
			<subreport>
				<reportElement key="Subreport_Anwesende" positionType="Float" x="0" y="0" width="782" height="10" uuid="0c68886a-4e4a-48d4-8255-4b466383e8eb"/>
				<subreportParameter name="P_SQLEXEC">
					<subreportParameterExpression><![CDATA[$P{P_SQLEXEC}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MANDANT_OBJ">
					<subreportParameterExpression><![CDATA[$P{P_MANDANT_OBJ}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortListNoNull($V{LISTE_anwesend}),
    new String[] {"anwesend", "Personalnummer", "Name", "Zeit", "Quelle", "Taetigkeit"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "pers_anwesende.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
